hadoop-common-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Bockelman <bbock...@cse.unl.edu>
Subject Re: How to apply the ganglia patch to my distro?
Date Fri, 12 Nov 2010 13:47:09 GMT
Hi Hari,

If you have GangliaContext31, then someone has already applied HADOOP-4675.  Or are you saying
you put it into the hadoop-metrics.properties and it tossed an exception?

You can read how to apply a patch and build Hadoop here: http://wiki.apache.org/hadoop/HowToContribute

If you look at the JIRA, you probably want to apply the latest patch if you're using the latest
Hadoop code; if you're using an older version than the trunk (like 0.20), you might have to
read through and figure out which one corresponds to your release.

Brian

On Nov 11, 2010, at 10:36 PM, Hari Sreekumar wrote:

> Hi,
>    What are the changes I need to make to run ganglia 3.1.7 on hadoop
> 0.20.2? I have used GangliaContext31, but I think I'll also need to apply
> the 4675 patch <https://issues.apache.org/jira/browse/HADOOP-4675>. How do I
> apply the patch to my distribution? And which of the patched works best?
> 
> thanks,
> hari


Mime
View raw message